clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::SelectionRange Struct Reference

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::SelectionRange:
[legend]

## Public Attributes
Range | range
| The range of this selection range. More...
std::unique_ptr< SelectionRange > | parent
| The parent selection range containing this range. More...

## Detailed Description

Definition at line 1247 of file Protocol.h.

## Member Data Documentation

## ◆ parent

std::unique_ptr<SelectionRange> clang::clangd::SelectionRange::parent

The parent selection range containing this range.

Therefore `parent.range` must contain `this.range`.

Definition at line 1256 of file Protocol.h.

## ◆ range

Range clang::clangd::SelectionRange::range

The range of this selection range.

Definition at line 1251 of file Protocol.h.

The documentation for this struct was generated from the following file:

- Protocol.h